branch.cc File Reference

Go to the source code of this file.

## Namespaces

| rheolef
| This file is part of Rheolef.

## Macros

#define | rheolef_instanciate(T, M)

## Functions

template<class T >
void | get_header (idiststream &in, branch_basic< T, sequential > &b)
template<class T >
void | get_event (idiststream &in, branch_basic< T, sequential > &b)
template<class T >
void | get_header (idiststream &in, branch_basic< T, distributed > &b)
template<class T >
void | get_event (idiststream &in, branch_basic< T, distributed > &b)
template<class T , class M >
idiststream & | operator>> (idiststream &in, branch_basic< T, M > &b)
template<class T >
void | put_header (odiststream &out, const branch_basic< T, sequential > &b)
template<class T >
void | put_header (odiststream &out, const branch_basic< T, distributed > &b)
template<class T >
void | put_event (odiststream &out, const branch_basic< T, sequential > &b)
template<class T >
void | put_event (odiststream &out, const branch_basic< T, distributed > &b)
template<class T , class M >
odiststream & | operator<< (odiststream &out, const branch_basic< T, M > &b)
template<class T >
void | put_finalize (odiststream &out, const branch_basic< T, sequential > &b)
template<class T >
void | put_finalize (odiststream &out, const branch_basic< T, distributed > &b)
| rheolef_instanciate (Float, sequential) rheolef_instanciate(Float

## Macro Definition Documentation

## rheolef_instanciate

#define rheolef_instanciate | ( |  | T,
|  |  | M
| ) |  |

Value:
template class branch_basic<T,M>; \
template void get_header (idiststream&, branch_basic<T,M>&); \
template void get_event (idiststream&, branch_basic<T,M>&); \
template odiststream& operator<< (odiststream&, const branch_basic<T,M>&); \
template idiststream& operator>> (idiststream&, branch_basic<T,M>&);

Definition at line 242 of file branch.cc.

operator<<
ostream & operator<<(ostream &os, const tiny_element &K)
Definition: tiny_element.cc:27
rheolef::operator>>
idiststream & operator>>(idiststream &in, branch_basic< T, M > &b)
Definition: branch.cc:114
rheolef::get_event
void get_event(idiststream &in, branch_basic< T, distributed > &b)
Definition: branch.cc:107
rheolef::get_header
void get_header(idiststream &in, branch_basic< T, distributed > &b)
Definition: branch.cc:101